Subject: A year ago you came to Russia, I remember you, write me!

From: [email-masked]
Date: Sat, 27 Mar 2010 19:41:26 +0100

Hey - tell me your mobile - Katya from Russia. http://coarse28.spaces.live.com